<?php
	session_start();
	if($_SESSION['centro']=="")
	{
		header("location:seleccionarcentro.php");
	}
	if($_REQUEST['nalumnos']=="")
	{
		header("location:asesoramiento.php");
	}
	include ("../../conexion.php");

	for($i=0; $i<=$_REQUEST['nalumnos']; $i++)
	{
		if($_REQUEST['alu'.$i] && $_REQUEST['cenalu'.$i]==$_SESSION['centro'])
		{
			// borramos los archivos
			$consulta=mysql_query("SELECT * FROM alumnos WHERE id=".$_REQUEST['alu'.$i],$conexion);
			$fila=mysql_fetch_array($consulta);
			if($fila['fotografia']!="")
			{
				unlink("fotos/".$fila['fotografia']);
			}
			if($fila['valsitufamDoc']!="")
			{
				unlink("documentos/contexto/".$fila['valsitufamDoc']);
			}
			if($fila['valsituecoDoc']!="")
			{
				unlink("documentos/contexto/".$fila['valsituecoDoc']);
			}
			if($fila['valsituviviDoc']!="")
			{
				unlink("documentos/contexto/".$fila['valsituviviDoc']);
			}

			//historial
			$consulta=mysql_query("SELECT * FROM historial WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);
			while($fila=mysql_fetch_array($consulta))
			{
				if($fila['observacionesDoc'])
				{
					unlink("documentos/historial/".$fila['observacionesDoc']);
				}
			}
			mysql_query("DELETE FROM historial WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);

			//obsevaluaciones
			$consulta=mysql_query("SELECT * FROM obsevaluaciones WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);
			$evaluaciones=array("EvInicial","EvPrimera","EvSegunda","EvTercera","EvFinal","EvExtraordinaria");
			while($fila=mysql_fetch_array($consulta))
			{
				for($j=0;$j<=5;$j++)
				{
					if($fila[$evaluaciones[$j].'Doc']!="")
					{
						unlink("documentos/expediente/".$fila[$evaluaciones[$j].'Doc']);
					}
				}
			}
			mysql_query("DELETE FROM obsevaluaciones WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);

			//expedientes
			$consulta=mysql_query("SELECT * FROM expedientes WHERE idAl=".$_REQUEST['alu'.$i],$conexion);
			while($fila=mysql_fetch_array($consulta))
			{
				if($fila['expediente'])
				{
					unlink("documentos/expedientes/".$fila['expediente']);
				}
			}
			mysql_query("DELETE FROM expedientes WHERE idAl=".$_REQUEST['alu'.$i],$conexion);

			//informes
			$consulta=mysql_query("SELECT * FROM informes WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);
			while($fila=mysql_fetch_array($consulta))
			{
				if($fila['Informe'])
				{
					unlink($fila['Informe']);
				}
			}
			mysql_query("DELETE FROM informes WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);

			//entrevistas
			$consulta=mysql_query("SELECT * FROM entrevistas WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);
			while($fila=mysql_fetch_array($consulta))
			{
				if($fila['resumenDoc'])
				{
					unlink("documentos/entrevista/".$fila['resumenDoc']);
				}
			}
			mysql_query("DELETE FROM entrevistas WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);

			//datos psicopedagogicos
			$consulta=mysql_query("SELECT * FROM datospsicopedagogicos WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);
			while($fila=mysql_fetch_array($consulta))
			{
				if($fila['ResultadosDoc'])
				{
					unlink("documentos/datospsicopedagogicos".$fila['ResultadosDoc']);
				}
			}
			mysql_query("DELETE FROM datospsicopedagogicos WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);

			//comportamiento
			$consulta=mysql_query("SELECT * FROM comportamiento WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);
			while($fila=mysql_fetch_array($consulta))
			{
				if($fila['ProblemasDoc'])
				{
					unlink("documentos/comportamiento".$fila['ProblemasDoc']);
				}
			}
			mysql_query("DELETE FROM comportamiento WHERE idAlumno=".$_REQUEST['alu'.$i],$conexion);

			mysql_query("DELETE FROM alumnos WHERE id=".$_REQUEST['alu'.$i],$conexion);
		}
	}
	header("location:borraral.php");
?>
